Skip to content
Permalink
Browse files

removed references for --process-dependency-links

  • Loading branch information...
Fusl committed Feb 12, 2019
1 parent bb020e7 commit fe814bf294e4dc3106da062e58c50eadfb713703
Showing with 3 additions and 5 deletions.
  1. +1 −1 .travis.yml
  2. +2 −4 README.md
@@ -10,7 +10,7 @@ before_install:

install:
- travis_retry pip install --upgrade pip setuptools
- travis_retry pip install --process-dependency-links --no-binary --upgrade .
- travis_retry pip install --no-binary --upgrade .

script:
- ./tests/offline-tests
@@ -76,11 +76,9 @@ chmod +x pyenv-installer
./pyenv-installer
~/.pyenv/bin/pyenv install 3.7.1
~/.pyenv/versions/3.7.1/bin/python -m venv ~/gs-venv
~/gs-venv/bin/pip install --process-dependency-links --no-binary --upgrade git+https://github.com/ludios/grab-site
~/gs-venv/bin/pip install --no-binary --upgrade git+https://github.com/ludios/grab-site
```

`--process-dependency-links` is necessary to get [ludios/wpull](https://github.com/ludios/wpull) instead of wpull from PyPI.

`--no-binary` is necessary for the html5-parser build.

Add this to your `~/.bashrc` or `~/.zshrc` and then restart your shell (e.g. by opening a new terminal tab/window):
@@ -149,7 +147,7 @@ On OS X 10.10 - macOS 10.13:
brew update
brew install python libxslt re2 pkg-config
python3 -m venv ~/gs-venv
~/gs-venv/bin/pip install --process-dependency-links --no-binary --upgrade git+https://github.com/ludios/grab-site
~/gs-venv/bin/pip install --no-binary --upgrade git+https://github.com/ludios/grab-site
```

4. Add this to your `~/.bash_profile` (which may not exist yet) and then restart your shell (e.g. by opening a new terminal tab/window):

0 comments on commit fe814bf

Please sign in to comment.
You can’t perform that action at this time.